# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.

### default variables ###

[ -z "$CDMOUNT" ] && export CDMOUNT="/media/cdrom"

### functions ###

function checkcd
{
	# usage: checkcd md5sum md5file
	checksum=$(md5sum $2 2>/dev/null|awk '{print $1}')

	if [ "$checksum" != "$1" ]; then
		return 1
	fi

	return 0
}

function getcd
{
	# usage: getcd cdnum [md5sum] [md5file]
	# note we're redirecting to stderr to ensure questions
	# are always shown

	if [ $# -ge 3 ]; then
		answer=""
		while [ $(checkcd $2 $CDMOUNT/$3; echo $?) -ne 0 ]; do
			echo " * Insert CD $1 and press any key, or press 'c' to continue without checking" 1>&2
			read -sn 1 answer
			if [ "$answer" == 'c' ]; then
				return 0
			fi
		done
	else
		echo "* Please insert CD $1 and press any key" 1>&2
		read -sn 1
	fi

	return 0
}
